## com.mysql.jdbc
Class BlobFromLocator.LocatorInputStream

    java.lang.Object
      java.io.InputStream
          com.mysql.jdbc.BlobFromLocator.LocatorInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  BlobFromLocator

     class BlobFromLocator.LocatorInputStream

extends java.io.InputStream

Field Summary
`(package private) long` `currentPositionInBlob`
`(package private) long` `length`
`(package private) java.sql.PreparedStatement` `pStmt`

Constructor Summary
`BlobFromLocator.LocatorInputStream()`
`BlobFromLocator.LocatorInputStream(long pos, long len)`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentPositionInBlob

    long currentPositionInBlob

### length

    long length

### pStmt

    java.sql.PreparedStatement pStmt

Constructor Detail

### BlobFromLocator.LocatorInputStream

    BlobFromLocator.LocatorInputStream()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### BlobFromLocator.LocatorInputStream

    BlobFromLocator.LocatorInputStream(long pos,
                                       long len)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`